/*------------------------------------------------------------
 * Featured Section
 *------------------------------------------------------------*/

.featured-section {
  overflow: hidden;
  display: -webkit-flex;
  display: flex;

  &__item {
    position: relative;
    float: left;
    background: @black;

    .count-1 > & { width: 100%; }
    .count-2 > & { width: 50%; }
    .count-3 > & { width: 33.3%; }
    .count-4 > & { width: 25%; }
    .count-5 > & { width: 20%; }
    .count-6 > & { width: 16.6%; }
  }

  &__media {
    position: relative;
    min-width: 100%;
  }

  &__bg {
    .placement;
    margin: auto;
    width: 70%;
    height: 60%;
    .transition;
  }

  &__text {
    .placement;
    display: flex;
    justify-content: center;
    align-items: center;

    &-inwrap {
      width: 60%;
      text-align: center;

      .title--striped {
        .transition;
      }
    }
  }



  &__item:hover {
    .featured-section__bg {
      width: 100%;
      height: 100%;
      opacity: 0.7;
    }

    .title--striped {
      margin-top: 20px;
      margin-bottom: 5px;
      margin-bottom: 5px;
    }
  }
}
